"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatOCRResult = exports.processOcr = void 0;
const jimp_1 = __importDefault(require("jimp"));
const tesseract_js_1 = __importDefault(require("tesseract.js"));
async function processOcr(image) {
    return await tesseract_js_1.default.recognize(await image.getBufferAsync(jimp_1.default.MIME_PNG), "eng");
}
exports.processOcr = processOcr;
function formatOCRResult(text) {
    return text.trim().replace(/[^0-9a-zA-Z]+/g, "");
}
exports.formatOCRResult = formatOCRResult;
//# sourceMappingURL=ocr.js.map